sfcode An Online Competing and Development Environment

cli-cursor

> Toggle the CLI cursor

The cursor is gracefully restored if the process exits.

# Install

$ npm install cli-cursor

# Usage

const cliCursor = require('cli-cursor');
cliCursor.hide();
const unicornsAreAwesome = true;
cliCursor.toggle(unicornsAreAwesome);

# API

## .show(stream?)

## .hide(stream?)

## .toggle(force?, stream?)

### force

Useful for showing or hiding the cursor based on a boolean.

### stream

Type: `stream.Writable`
Default: `process.stderr`

Get professional support for this package with a Tidelift subscription
Tidelift helps make open source sustainable for maintainers while giving companies
assurances about security, maintenance, and licensing for their dependencies.